=== debian/changelog ===
openfec (1.4.2.9+dfsg-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Feb 2024 12:09:21 -0800

openfec (1.4.2.9+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Sat, 13 Jan 2024 08:42:14 +0100

openfec (1.4.2.9+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #1002724)
  * Add clarification from the LDPC's author about his license.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 Dec 2023 21:23:01 +0100
