=== debian/control ===
Source: openfec
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/openfec
Vcs-Git: https://salsa.debian.org/multimedia-team/openfec.git
Homepage: https://github.com/roc-streaming/openfec

Package: libopenfec1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Application-Level Forward Erasure Correction codes (shared library)
 Application-Level Forward Erasure Correction codes, or AL-FEC (also called
 UL-FEC, for Upper-Layers FEC). The idea is to add redundancy in order to be
 able to recover from erasures. Because of their position in the communication
 stack, these codes are implemented as software codecs, and they find many
 applications in robust transmission and distrituted storage systems.
 .
 This package provides the shared library.

Package: libopenfec-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libopenfec1 (= ${binary:Version}), ${misc:Depends}
Description: Application-Level Forward Erasure Correction codes (development files)
 Application-Level Forward Erasure Correction codes, or AL-FEC (also called
 UL-FEC, for Upper-Layers FEC). The idea is to add redundancy in order to be
 able to recover from erasures. Because of their position in the communication
 stack, these codes are implemented as software codecs, and they find many
 applications in robust transmission and distrituted storage systems.
 .
 This package provides the development files for libopenfec.
