=== debian/changelog ===
openfec (1.4.2.10+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.2.10+dfsg
  * Standards-Version: 4.7.0 (no changes required)
  * Add debian/upstream/metadata
  * Update Forwarded field for Fix_install_pkgconfig.patch

 -- Dylan Aïssi <daissi@debian.org>  Thu, 08 Aug 2024 09:28:42 +0200
