=== debian/changelog ===
openfec (1.4.2.11+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.2.11+dfsg
  * Drop patch included in upstream release

 -- Dylan Aïssi <daissi@debian.org>  Sun, 13 Oct 2024 14:19:14 +0200
