=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: openfec
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+               cmake
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/openfec
 Vcs-Git: https://salsa.debian.org/multimedia-team/openfec.git
@@ -14,7 +14,8 @@
 Package: libopenfec1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Application-Level Forward Erasure Correction codes (shared library)
  Application-Level Forward Erasure Correction codes, or AL-FEC (also called
  UL-FEC, for Upper-Layers FEC). The idea is to add redundancy in order to be
@@ -28,7 +29,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libopenfec1 (= ${binary:Version}), ${misc:Depends}
+Depends: ${misc:Depends},
+         libopenfec1 (= ${binary:Version}),
 Description: Application-Level Forward Erasure Correction codes (development files)
  Application-Level Forward Erasure Correction codes, or AL-FEC (also called
  UL-FEC, for Upper-Layers FEC). The idea is to add redundancy in order to be
