=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openfec-$1\.tar\.gz/" \
  https://github.com/roc-streaming/openfec/tags .*/v?(\d\S+)\.tar\.gz
