## openfec 1.4.2.12+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
 if(CMAKE_MAJOR_VERSION LESS 3)
   cmake_minimum_required(VERSION 2.6)
 else()
-  if(CMAKE_MINOR_VERSION LESS 6)
-    cmake_minimum_required(VERSION 2.8.12)
+  if(CMAKE_MAJOR_VERSION EQUAL 3 AND CMAKE_MINOR_VERSION LESS 6)
+    cmake_minimum_required(VERSION 2.8)
+  elseif(CMAKE_MAJOR_VERSION EQUAL 3 AND CMAKE_MINOR_VERSION LESS 10)
+    cmake_minimum_required(VERSION 3.6)
   else()
-    cmake_minimum_required(VERSION 3.6)
+    cmake_minimum_required(VERSION 3.10)
   endif()
 endif()
