=== pc/CMakeLists.txt ===
--- 
+++ 
@@ -17,4 +17,4 @@
 
 install(
     FILES "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pc"
-    DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/pkgconfig)
+    DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)
