=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,15 @@
-file (GLOB_RECURSE openfec_sources *)
+file(GLOB_RECURSE openfec_sources *)
+
+option(OF_USE_REED_SOLOMON_CODEC "Enable Reed-Solomon 2_8 codec" ON)
+option(OF_USE_REED_SOLOMON_2_M_CODEC "Enable Reed-Solomon 2_M codec" ON)
+option(OF_USE_LDPC_STAIRCASE_CODEC "Enable LDPC-Staircase codec" ON)
+option(OF_USE_2D_PARITY_MATRIX_CODEC "Enable 2d parity matrix codec" ON)
+option(OF_USE_LDPC_FROM_FILE_CODEC "Enable ldpc_from_file codec" OFF)
+
+option(ASSEMBLY_SSE_OPT "Enable SSE optimizations for XOR operations" OFF)
+
+configure_file(lib_common/of_build_config.h.in
+  ${CMAKE_CURRENT_SOURCE_DIR}/lib_common/of_build_config.h)
 
 # Use -DBUILD_STATIC_LIBS=ON to build static libraries instead of shared.
 option(BUILD_STATIC_LIBS "Build the static library" OFF)
@@ -10,14 +21,14 @@
 endif(BUILD_STATIC_LIBS)
 
 # From: $cmake --help-property SOVERSION
-#		For shared libraries VERSION and SOVERSION can be used to specify
-#		the build version and api version respectively.
+#    For shared libraries VERSION and SOVERSION can be used to specify
+#    the build version and api version respectively.
 #
 # Edit it as appropriate to be in line with the src/lib_common/of_openfec_api.c::more_about() version
 #
 set_target_properties(openfec PROPERTIES
-			VERSION 1.4.2
-			SOVERSION 1) 
+  VERSION 1.4.2
+  SOVERSION 1)
 
 # Feel free to edit as appropriate the "target_link_libraries".
 #
@@ -40,7 +51,7 @@
 install(
     DIRECTORY ${PROJECT_SOURCE_DIR}/src/
     DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/openfec
-    FILES_MATCHING PATTERN "*.h*")
+    FILES_MATCHING PATTERN "*.h")
 
 include(TestBigEndian)
 test_big_endian(BIG_ENDIAN)
