=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 #
 # PART 1: LDPC-Staircase tests
 #
+if(OF_USE_LDPC_STAIRCASE_CODEC)
 
 # Robustness in front of many transmission types
 #
