=== debian/changelog ===
openfec (1.4.2.12+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.2.12+dfsg
  * Update debian/copyright
  * Standards-Version: 4.7.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 Aug 2025 09:37:33 +0200
