=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/openfec
 Vcs-Git: https://salsa.debian.org/multimedia-team/openfec.git
